kibana 状态异常 Status: Red

Kibana | 作者 d920611 | 发布于2019年04月02日 | 阅读数:1072

系统版本:
centos 7.6软件版本:
elasticsearch-6.7.0
logstash-6.7.0
kibana-5.6.0-linux-x86_64
 
问题描述:
最后安装kibana之后启动网页就出现如图这样 点击任何菜单栏都是这样
 
错误日志:

[warning] You're running Kibana 5.6.0 with some different versions of Elasticsearch. Update Kibana or Elasticsearch to the same version to prevent compatibility issues: v6.7.0 @ 10.9.31.193:9200 (10.9.31.193)
log [10:17:56.802] [info][status][ui settings] Status changed from red to yellow - Elasticsearch plugin is yellow
log [10:17:56.991] [error][status][plugin:elasticsearch@5.6.0] Status changed from yellow to red - Unable to create Kibana index ".kibana"
log [10:17:56.998] [error][status][ui settings] Status changed from yellow to red - Elasticsearch plugin is red
log [10:18:04.607] [info][status][plugin:elasticsearch@5.6.0] Status changed from red to yellow - No existing Kibana index found
log [10:18:04.610] [info][status][ui settings] Status changed from red to yellow - Elasticsearch plugin is yellow
log [10:18:04.740] [error][status][plugin:elasticsearch@5.6.0] Status changed from yellow to red - Unable to create Kibana index ".kibana"
log [10:18:04.744] [error][status][ui settings] Status changed from yellow to red - Elasticsearch plugin is red
log [10:18:12.311] [info][status][plugin:elasticsearch@5.6.0] Status changed from red to yellow - No existing Kibana index found
log [10:18:12.313] [info][status][ui settings] Status changed from red to yellow - Elasticsearch plugin is yellow

 
 
这是啥情况呢?
QQ图片20190402143317.png
已邀请:

liuzhen6835

赞同来自: d920611

有可能是kibana和ES的版本不同,导致的插件不能用以及.kibana索引创建失败。可以更新版本在试试。主要是那几个ERROR,会不会因为权限的原因,.kibana索引不能创建,慢慢试

Jea - 一只猿

赞同来自: d920611

log很清楚了: kibana版本5.6和es版本不同, 大版本差异会导致索引创建不成功, 换个相同的kibana版本, kibana6.7就没错了

d920611 - 90后IT男

赞同来自:

是版本的问题,谢谢大家的回复,版本一样就好了

zqc0512 - andy zhou

赞同来自:

版本不兼容。

wzfxiaobai - 90后it民工

赞同来自:

版本不兼容,最好版本一致,如果不一致至少大版本一致

要回复问题请先登录注册